<Manage::FieldContainer
  @title={{@title}}
  @isDisabled={{@isDisabled}}
  @isSaveDisabled={{this.isDisabled}}
  @editablePanel={{@editablePanel}}
  @onEdit={{@onEdit}}
  @onSave={{this.save}}
  @onCancel={{this.cancel}}
  ...attributes
>
  <:view>
    {{#if this.hasBothValues}}
      <MarkDown
        @value={{t "between start and end" start=(format-date @value.startDate) end=(format-date @value.endDate)}}
      />
    {{/if}}

    {{#if this.hasOnlyStart}}
      <MarkDown @value={{t "starting start" start=(format-date @value.startDate)}} />
    {{/if}}

    {{#if this.hasOnlyEnd}}
      <MarkDown @value={{t "until end" end=(format-date @value.endDate)}} />
    {{/if}}

    {{#if this.hasNoValue}}
      <div class="alert alert-warning" role="alert">
        {{t "there is no date interval set"}}
      </div>
    {{/if}}
  </:view>

  <:edit>
    <div class="col-start-date mb-4">
      <h4>{{t "start date"}}</h4>
      <Input::Date
        @allowUnset={{true}}
        @allowTime={{false}}
        @value={{this.startDate}}
        @onChange={{this.changeStartDate}}
      />
    </div>

    <div class="col-end-date mb-4">
      <h4>{{t "end date"}}</h4>
      <Input::Date @allowUnset={{true}} @allowTime={{false}} @value={{this.endDate}} @onChange={{this.changeEndDate}} />
    </div>
  </:edit>
</Manage::FieldContainer>